/*   Fonctions de conversions avec limites   */
/*         CMV - Juin 94  / Reza             */

#include <stdlib.h>
#include <stdio.h>

#include "machdefs.h"

#include "convlim.h"


/* Nouvelle-Fonction */
short LimitShort(float x)
{ 
float ls;

ls = ( x < 32760.) ? x : 32760. ; 
ls = ( ls < -32760.) ? -32760. : ls;
return((short)ls);
}

/* Nouvelle-Fonction */
unsigned short LimitUShort(float x)
{ 
float ls;

ls = ( x < 65530.) ? x : 65530. ; 
ls = ( ls < 0.) ? 0. : ls;
return((unsigned short)ls);
}

